# Find order

Find order details by passing order request ID. This supports pagination.

Endpoint: GET /api/v1/orders/{requestId}
Version: 1.0
Security: ApiTokenAuth

## Path parameters:

  - `requestId` (string, required)
    Order request Id
    Example: "c3c0029f-181e-41f9-aba5-ae99602203e1"

## Query parameters:

  - `page` (integer)
    View page
    Example: 1

  - `size` (integer)
    Number of items per page
    Example: 10

## Header parameters:

  - `X-Workspace-id` (string, required)
    Workspace ID for authentication
    Example: "444"

## Response 200 fields (application/json):

  - `page` (integer)
    Selected page for viewing
    Example: 1

  - `size` (integer)
    Size of results per page
    Example: 50

  - `totalElements` (integer)
    Total amount of elements within query
    Example: 1

  - `totalPages` (integer)
    Total amount of pages within query
    Example: 1

  - `id` (integer)
    Order Id
    Example: 444350

  - `requestId` (string)
    Order request Id
    Example: "c3c0029f-181e-41f9-aba5-ae99602203e1"

  - `state` (string)
    Progression step of an order
    Enum: "PENDING", "PRECHECK_ORDER", "NORMALIZE_ACCOUNT", "NORMALIZE_PAYMENT", "CERTIFICATE_VALIDATION", "COST_CENTER_VALIDATION", "BUDGET_VALIDATION", "BALANCE_VALIDATION", "CREATE_ORDER", "FUND_ACCOUNT_REQUEST", "CHARGE_CREDIT_CARD", "TRANSACTION_BUDGET", "TRANSACTION_BALANCE", "PROCESS_PAYMENT", "CERTIFICATE_GENERATED", "GENERATE_GIFT", "PURCHASE_NOTIFIY", "FINISHING", "COMPLETED", "FAIL", "ABORT"

  - `status` (string)
    Status of order
    Enum: "PENDING", "AWAITING_APPROVAL", "PAYMENT_PENDING", "COMPLETE", "CANCELLED", "DECLINED", "FAIL", "REVERTED"

  - `certificates` (array)
    List of Gifts Ordered

  - `certificates.id` (integer)
    Id of gift
    Example: 123123

  - `certificates.currency` (object)
    Currency of gift
    Example: "CAD"

  - `certificates.currency.currencyCode` (string)

  - `certificates.currency.displayName` (string)

  - `certificates.currency.symbol` (string)

  - `certificates.currency.defaultFractionDigits` (integer)

  - `certificates.currency.numericCode` (integer)

  - `certificates.currency.numericCodeAsString` (string)

  - `certificates.senderName` (string)
    Name of who sent the gift
    Example: "John Doe"

  - `certificates.recipientUser` (integer)
    Recipient user Id
    Example: 2323

  - `certificates.amount` (number)
    Amount sent
    Example: 10

  - `certificates.message` (string)
    message of gift
    Example: "Thank you for your hard work!"

  - `certificates.longToken` (string)
    Token for claiming/redeeming gift
    Example: "KNEJ89JkAJ2KJL82kJnIJ2"

  - `certificates.shortToken` (string)
    Short form token for claiming/redeeming gift
    Example: "JKNW2"

  - `customerRequestId` (string)
    Customer specified Id
    Example: "KKXJ3ka@1"

## Response 400 fields (application/json):

  - `status` (integer)
    HTTP status code
    Example: 404

  - `message` (string)
    Description of error
    Example: "Does not exists"

  - `type` (string)
    Exception types. Please see possible error code on "Responses Codes & Errors" page


